Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.example.com/v2/support-tickets/{id}/ \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.example.com/v2/support-tickets/{id}/" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.example.com/v2/support-tickets/{id}/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.example.com/v2/support-tickets/{id}/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/v2/support-tickets/{id}/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.example.com/v2/support-tickets/{id}/") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.example.com/v2/support-tickets/{id}/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "id": 123, "created_by": { "id": 123, "username": "<string>", "email": "jsmith@example.com" }, "status": "OPEN", "status_display": "<string>", "reason": "INCORRECT_AMOUNT", "reason_display": "<string>", "resolved_by": { "id": 123, "username": "<string>", "email": "jsmith@example.com" }, "resolved_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "entities": [ { "id": 123, "entity_type": "<string>", "entity_id": 1073741823 } ], "comments": [ { "id": 123, "author": { "id": 123, "username": "<string>", "email": "jsmith@example.com" }, "content": "<string>", "sequence": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "ticket_type": "DISPUTE", "description": "<string>", "resolution_note": "<string>" }
Retrieve a support ticket by ID.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A unique integer value identifying this support ticket.
Show child attributes
OPEN
UNDER_REVIEW
APPROVED
DENIED
CANCELLED
RESOLVED
INCORRECT_AMOUNT
WRONG_VEHICLE
DUPLICATE_CHARGE
NOT_MY_TOLL
ALREADY_PAID
OTHER
DISPUTE
SUPPORT
INQUIRY
Was this page helpful?